$(document).ready(function(){
    //loading
    $('#loadingContainer').ajaxStart(function(){
	    $(this).show();
	    $('#loadingbackground').show().css({"opacity": "0.5"});
	}).ajaxStop(function(){
	    $(this).hide();
	});
	$("<input type='hidden' value='0' id='cid' name='cid' />").appendTo($("#Form1"));
	$("<input type='hidden' value='' id='catname' name='catname' />").appendTo($("#Form1"));
	$("<input type='hidden' value='' id='catpath' name='catpath' />").appendTo($("#Form1"));
	//搜索一级分类
	GetCategorys(1,1,getQueryStringRegExp('catpath'));
});
    
function GetCategorys(cid,depth,path){
	 $.ajax({
		type:"get",
        dataType:"json",
        url:"ProductAdd_Step1.aspx?NoCopyRight=1&action=GetCategorys&cid="+cid,
        cache:false,
        success:function(msg){
			var parentObj = $("<li></li>").appendTo($("#cul"));
			var tempUl =  $("<ul><ul>").appendTo(parentObj);
            var data = msg.Categorys;
			$.each(data,function(i,n){
				var item=$("<li>"+n.Name+"</li>").addClass("citem").appendTo(tempUl).click(function(){
					$("#cid").attr("value",n.CategoryID);
					if(depth==1){
						$("#catname").attr("value",n.Name);
						$("#catpath").attr("value",n.CategoryID);
					}else{
						var arr_catname = $("#catname").val().split('>>');
						var arr_catpath = $("#catpath").val().split(',');
						$("#catname").attr("value","");
						$("#catpath").attr("value","");
						$.each(arr_catpath,function(p,q){
							if(p<(depth-1)){
								if(p!=0){
									$("#catname").attr("value",$("#catname").val()+">>");
									$("#catpath").attr("value",$("#catpath").val()+",");
								};
								$("#catname").attr("value",$("#catname").val()+arr_catname[p]);
								$("#catpath").attr("value",$("#catpath").val()+arr_catpath[p]);
							};						
						});						
						$("#catname").attr("value",$("#catname").val()+">>"+n.Name);
						$("#catpath").attr("value",$("#catpath").val()+","+n.CategoryID);
					};
					parentObj.nextAll().remove();//绑定下级分类前清空之前的数据
					if(n.Child=="0"){
						
						//最底层分类的时候激活下一步按钮并绑定事件			
						$("#next").removeClass("disable");
						$("#next").addClass("enable");
						$("#next").click(function(){
							$("#Form1").submit();
						});
					}else{
						$("#next").unbind("click");//取消下一步按钮的click事件
						$("#next").removeClass("enable");
						$("#next").addClass("disable");
						GetCategorys(n.CategoryID,depth+1,path);
					};
					$(this).siblings().removeClass("selected");
					$(this).addClass("selected");
				});//end click
				if(n.Child!="0"){
					item.addClass("more");
				};
				if(n.CategoryID==path.split(',')[depth-1]){
					item.siblings().removeClass("selected");
					item.addClass("selected");
					if(depth!=1){
						$("#catname").attr("value",$("#catname").val()+">>");
						$("#catpath").attr("value",$("#catpath").val()+",");
					};
					$("#catname").attr("value",$("#catname").val()+n.Name);
					$("#catpath").attr("value",$("#catpath").val()+n.CategoryID);
					if(depth==(path.split(',').length)){
						//最底层分类的时候激活下一步按钮并绑定事件
						$("#next").removeClass("disable");
						$("#next").addClass("enable");
						$("#next").click(function(){
							$("#Form1").submit();
						});
					}else{
						GetCategorys(n.CategoryID,depth+1,path);
					};
				};
            });//end each
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');parent.window.location="../../adminlogin.aspx";}}
    });//end ajax
};